<?php
/* ========================================================== */
/* Adiciona o JQuery, Javascript, Bootstrap e CSS */
/* ========================================================== */
function theme_style_scripts() {
  // jQuery 3.7 
  wp_deregister_script('jquery');
  wp_enqueue_script('jquery', "https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.0/jquery.min.js");

  // Bootstrap 5.2
  wp_enqueue_style('bootstrap-css', 'https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css', null, null);

  enqueue_glightbox();
  wp_register_script('app', get_template_directory_uri() . '/assets/js/app.js', ['jquery'], null, true);
  wp_enqueue_script('app');

  // style.css do tema 
  $timestamp = filemtime(get_stylesheet_directory() . '/style.css');
  $ver = substr(date('Y', $timestamp), -1) . '.'  . date('n', $timestamp) . '.' . date('j', $timestamp) . '.' . date('Hi', $timestamp);
  wp_enqueue_style('o2_style', get_bloginfo('stylesheet_url'), null, $ver);
}
add_action('wp_enqueue_scripts', 'theme_style_scripts');

/* ========================================================== */
/* Adiciona a biblioteca Swiper.js */
/* ========================================================== */
function enqueue_swiper() {
  wp_enqueue_style('swiper-css', 'https://cdnjs.cloudflare.com/ajax/libs/Swiper/8.2.2/swiper-bundle.css', null, null);
  wp_enqueue_script('swiper-js', 'https://cdnjs.cloudflare.com/ajax/libs/Swiper/8.2.2/swiper-bundle.min.js', null, null, true);
  wp_enqueue_script('o2_swiper', get_template_directory_uri() . '/assets/js/config/o2_swiper.js', ['swiper-js'], null, true);
}

/* ========================================================== */
/* Adiciona as funcionalidades JS do Bootstrap */
/* ========================================================== */
function enqueue_bootstrap_script() {
  wp_enqueue_script('bootstrap-js', 'https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js', null, null, true);
}

/* ========================================================== */
/* Adiciona máscaras para os formulários */
/* ========================================================== */
function enqueue_mask() {
  wp_enqueue_script('jquery_mask_js', get_template_directory_uri() . '/assets/js/utils/o2_mask.js', ['jquery'], null, true);
}

/* ========================================================== */
/* Adiciona a biblioteca AOS (Animate on Scroll) */
/* ========================================================== */
function enqueue_aos() {
  wp_enqueue_style('aoss-css', 'https://unpkg.com/aos@next/dist/aos.css', null, null);
  wp_enqueue_script('aos-js', 'https://unpkg.com/aos@next/dist/aos.js', null, null, true);
  wp_enqueue_script('o2_aos', get_template_directory_uri() . '/assets/js/config/o2_aos.js', ['aos-js'], null, true);
}

/* ========================================================== */
/* Adiciona a biblioteca Select2 */
/* ========================================================== */
function enqueue_select2() {
  wp_enqueue_style('select2-css', 'https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css');
  wp_enqueue_script('select2-js', 'https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js', ['jquery'], false, true);
  wp_enqueue_script('o2-select2-js', get_template_directory_uri() . '/assets/js/config/o2_select.js', ['jquery', 'select2-js'], false, true);
}

/* ========================================================== */
/* Adiciona a biblioteca GLightbox */
/* ========================================================== */
function enqueue_glightbox() {
  wp_enqueue_style('glightbox-css', 'https://cdn.jsdelivr.net/npm/glightbox/dist/css/glightbox.min.css', null, null);
  wp_enqueue_script('glightbox-js', 'https://cdn.jsdelivr.net/gh/mcstudios/glightbox/dist/js/glightbox.min.js', null, null, true);
  wp_enqueue_script('o2_glightbox', get_template_directory_uri() . '/assets/js/config/o2_glightbox.js', ['glightbox-js'], null, true);
}

/* ========================================================== */
/* Adiciona a biblioteca Lite YouTube */
/* ========================================================== */
function enqueue_lite_yt() {
  wp_enqueue_script('lite-yt-js', get_template_directory_uri() . '/assets/js/libs/lite-yt-embed.js', null, null, true);
}

/* ========================================================== */
/* Adiciona todos os scripts para formulários */
/* ========================================================== */
function enqueue_form() {
  enqueue_select2();
  enqueue_mask();
}